<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/grey_background"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".leavemanagement.LeaveManagemntActivity"
    tools:showIn="@layout/activity_leave_managemnt">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardCornerRadius="@dimen/custom_margin"
        app:cardElevation="@dimen/custom_margin2dp"
        app:cardBackgroundColor="@color/white"
        android:layout_margin="@dimen/custom_margin">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/custom_margin"
            android:background="@color/white"
            android:orientation="horizontal"
            android:gravity="center"
            android:layout_gravity="center"
            android:weightSum="10">

            <androidx.cardview.widget.CardView
                android:id="@+id/card_apply_leave"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:layout_weight="5"
                app:cardBackgroundColor="@color/background_color"
                app:cardCornerRadius="@dimen/_20dp"
                app:cardElevation="2dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/apply_for_leave"
                    android:textAllCaps="true"
                    android:textColor="@color/green"
                    android:textSize="@dimen/txt_size_14sp"
                    android:textStyle="bold" />

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:id="@+id/card_leave_status"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:layout_weight="5"
                app:cardBackgroundColor="@color/background_color"
                app:cardCornerRadius="@dimen/_20dp"
                app:cardElevation="2dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/leave_status_str"
                    android:textAllCaps="true"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/txt_size_14sp"
                    android:textStyle="bold" />

            </androidx.cardview.widget.CardView>

        </LinearLayout>

    </androidx.cardview.widget.CardView>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycl_leave"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        android:layout_margin="@dimen/custom_margin" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tvHeader"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_margin="@dimen/appbar_padding_top"
        android:textAllCaps="true"
        android:text="@string/leaveLedgerDetails"
        android:textColor="@color/grayfor_login"
        android:textSize="@dimen/txt_size_14sp"
        android:textStyle="bold" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/rlLeaveLeadger"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/custom_margin"
            android:layout_marginTop="@dimen/padding_10dp"
            android:orientation="vertical">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/padding_10dp"
                android:orientation="vertical">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/rlPersonalLeave"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tvPersonalLeave"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/rounded_corner_leave"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:text="@string/paid_leave"
                        android:textColor="@color/black"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/earned"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/earnedleaveTV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/grey_dark_background" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/taken_this_month"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/takenmonthleaveTV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/grey_dark_background" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/total_leaves_taken"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/totleavetakenTV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>


                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/grey_dark_background" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/balance"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/balanceleaveTV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textStyle="bold"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/rlEmrLeave"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tvEmrLeave"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/rounded_corner_leave"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:text="@string/sick_leave"
                        android:textColor="@color/black"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/earned"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/earnedleaveSL_TV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/grey_dark_background" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/taken_this_month"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/takenmonthleaveSL_TV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/grey_dark_background" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/total_leaves_taken"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/totleavetakenSL_TV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>


                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/grey_dark_background" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/balance"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/balanceleaveSL_TV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textStyle="bold"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/rlTotalLeave"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/rounded_corner_leave"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:text="@string/total"
                        android:textColor="@color/black"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="bold" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/earned"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/earnedleave_total_TV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/grey_dark_background" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/taken_this_month"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/takenmonthleave_tot_TV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/grey_dark_background" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/total_leaves_taken"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/totleavetakentot"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>


                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/grey_dark_background" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:padding="@dimen/store_p_activity_vertical_margin"
                        android:weightSum="2">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:text="@string/balance"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/balanceleave_tot_TV"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="end"
                            android:textStyle="bold"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_12sp" />

                    </androidx.appcompat.widget.LinearLayoutCompat>
                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>

    <TextView
        android:id="@+id/tvNodata"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        android:layout_margin="@dimen/padding_10dp"
        android:gravity="center"
        android:text="@string/no_data_available"
        android:textColor="@color/red"
        android:textSize="@dimen/text_size_big"
        android:visibility="gone"
        android:textStyle="bold"

        />

</LinearLayout>
